Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class UnregRequestRecord

java.lang.Object
ru.bitel.bgbilling.kernel.bgsecure.common.bean.UnregRequestRecord

All Implemented Interfaces:
  `ContractIdable`

public class UnregRequestRecord extends Object implements ContractIdable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnregRequestRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `int`
  `getContractId()`
  Возвращает id договора
  `LocalDateTime`
  `getLastTime()`
  `String`
  `getModuleId()`
  `String`
  `getModuleName()`
  `String`
  `getOperation()`
  `String`
  `getService()`
  `int`
  `getUserId()`
  `UnregRequestRecord`
  `setAction(String action)`
  `UnregRequestRecord`
  `setContractId(int contractId)`
  `UnregRequestRecord`
  `setLastTime(LocalDateTime lastTime)`
  `UnregRequestRecord`
  `setModuleId(String moduleId)`
  `UnregRequestRecord`
  `setModuleName(String moduleName)`
  `UnregRequestRecord`
  `setOperation(String operation)`
  `UnregRequestRecord`
  `setService(String service)`
  `UnregRequestRecord`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnregRequestRecord

    public UnregRequestRecord()

- ## Method Details

  - ### getAction

    public String getAction()

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### getLastTime

    public LocalDateTime getLastTime()

  - ### getModuleId

    public String getModuleId()

  - ### getModuleName

    public String getModuleName()

  - ### getOperation

    public String getOperation()

  - ### getService

    public String getService()

  - ### getUserId

    public int getUserId()

  - ### setAction

    public UnregRequestRecord setAction(String action)

  - ### setContractId

    public UnregRequestRecord setContractId(int contractId)

  - ### setLastTime

    public UnregRequestRecord setLastTime(LocalDateTime lastTime)

  - ### setModuleId

    public UnregRequestRecord setModuleId(String moduleId)

  - ### setModuleName

    public UnregRequestRecord setModuleName(String moduleName)

  - ### setOperation

    public UnregRequestRecord setOperation(String operation)

  - ### setService

    public UnregRequestRecord setService(String service)

  - ### setUserId

    public UnregRequestRecord setUserId(int userId)